﻿<?php

/**
* @package     JohnCMS
* @link        http://johncms.com
* @copyright   Copyright (C) 2008-2011 JohnCMS Community
* @license     LICENSE.txt (see attached file)
* @version     VERSION.txt (see attached file)
* @author      http://johncms.com/about
*/

define('_IN_JOHNCMS', 1);

require('../incfiles/core.php');
$lng_profile = core::load_lng('profile');

/*
-----------------------------------------------------------------
Закрываем от неавторизованных юзеров
-----------------------------------------------------------------
*/
if (!$user_id) {
    require('../incfiles/head.php');
    echo functions::display_error($lng['access_guest_forbidden']);
    require('../incfiles/end.php');
    exit;
}

/*
-----------------------------------------------------------------
Получаем данные пользователя
-----------------------------------------------------------------
*/
$user = functions::get_user($user);
if (!$user) {
    require('../incfiles/head.php');
    echo functions::display_error($lng['user_does_not_exist']);
    require('../incfiles/end.php');
    exit;
}

/*
-----------------------------------------------------------------
Переключаем режимы работы
-----------------------------------------------------------------
*/
$array = array (
    'activity' => 'includes/profile',
    'ban' => 'includes/profile',
    'edit' => 'includes/profile',
    'images' => 'includes/profile',
    'info' => 'includes/profile',
    'ip' => 'includes/profile',
    'guestbook' => 'includes/profile',
    'karma' => 'includes/profile',
    'office' => 'includes/profile',
    'password' => 'includes/profile',
    'reset' => 'includes/profile',
    'settings' => 'includes/profile',
    'stat' => 'includes/profile',
	'friends' => 'includes/profile'
);
$path = !empty($array[$act]) ? $array[$act] . '/' : '';
if (array_key_exists($act, $array) && file_exists($path . $act . '.php')) {
    require_once($path . $act . '.php');
} else {
    /*
    -----------------------------------------------------------------
    Анкета пользователя
    -----------------------------------------------------------------
    */
    $headmod = 'profile,' . $user['id'];
    $textl = $lng['profile'] . ': ' . htmlspecialchars($user['name']);
    require('../incfiles/head.php');
    echo '<div class="phdr"><b>' . ($user['id'] != $user_id ? $lng_profile['user_profile'] : $lng_profile['my_profile']) . '</b></div>';
    // Меню анкеты
    $menu = array ();
    if ($user['id'] != $user_id && $rights >= 7 && $rights > $user['rights'])
        $menu[] = '<a href="' . $set['homeurl'] . '/' . $set['admp'] . '/index.php?act=usr_del&amp;id=' . $user['id'] . '">' . $lng['delete'] . '</a>';
    if ($user['id'] != $user_id && $rights > $user['rights'])
        $menu[] = '<a href="profile.php?act=ban&amp;mod=do&amp;user=' . $user['id'] . '">' . $lng['ban_do'] . '</a>';
    if (!empty($menu))
        echo '<div class="topmenu">' . functions::display_menu($menu) . '</div>';
    //Уведомление о дне рожденья
    if ($user['dayb'] == date('j', time()) && $user['monthb'] == date('n', time())) {
        echo '<div class="gmenu">' . $lng['birthday'] . '!!!</div>';
    }
    $lastvisit = time() > $user['lastdate'] + 300 ? date("d.m.Y (H:i)", $user['lastdate']) : false;
    $body = '<br /><ul><li>Аватар:</li>';
    if (file_exists(($rootpath . 'files/users/avatar/' . $user['id'] . '.png')))
    $body .= '<img src="../files/users/avatar/' . $user['id'] . '.png" width="32" height="32" alt="" />&#160;';
    else
    $body .= '<img src="../images/empty.png" width="32" height="32" alt="" />&#160;';
    if (file_exists('../files/users/photo/' . $user['id'] . '_small.jpg'))
    $body .= '<li>Фотография:</li><a href="../files/users/photo/' . $user['id'] . '.jpg"><img src="../files/users/photo/' . $user['id'] . '_small.jpg" alt="' . $user['name'] . '" border="0" /></a>';
    if ($user['status'])
    $body .= '<li><span class="gray">Статус:</span> '.$user['status'].'</li>';
    $body .= '<li><span class="gray">Логин:</span> <b>'.$user['name_lat'].'</b></li>';
if ($user['rights']) {
    $rank = array (
        3 => 'Модератор Форума',
        4 => 'Модератор Загрузок',
        5 => 'Модератор Библиотеки',
        6 => 'Супермодератор',
        7 => 'Администратор',
        9 => 'Супервизор'
    );
    $body .= '<li><span class="gray">Должность:</span> <b class="red">' . $rank[$user['rights']] . '</b></li>';
}
    if ($lastvisit)
    $body .= ($lastvisit ? '<li><span class="gray">Последний визит:</span> ' . $lastvisit . '</li>' : '');
$body .= '</ul>';
    // Информация о юзере
    $arg = array (
    'avatar' => 1,
    'body' => $body,
    'stshide' => 1,
        'lastvisit' => 1,
        'iphist' => 1,
        'header' => '<b>ID:' . $user['id'] . '</b>'
    );
    if($user['id'] != core::$user_id) $arg['footer'] = '<span class="gray">' . core::$lng['where'] . ':</span> ' . functions::display_place($user['id'], $user['place']);
    echo '<div class="user"><p>' . functions::display_user($user, $arg) . '</p></div>';
    // Если юзер ожидает подтверждения регистрации, выводим напоминание
    if ($rights >= 7 && !$user['preg'] && empty($user['regadm'])) {
        echo '<div class="rmenu">' . $lng_profile['awaiting_registration'] . '</div>';
    }
	// -> Награды
	$award = mysql_result(mysql_query("select count(*) from `award_users` where `id_user` = '".$user['id']."'"),0);
	echo '<div class="gmenu">Награды (' . $award . ')';
	if ($award) {
		echo '<br />';
		$req = mysql_query("select `awards`.*,`award_users`.`id_who`,`award_users`.`time` as `givetime`, `users`.`name` as `nick` from `awards` left join `users` on `awards`.`user_id` = `users`.`id` left join `award_users` on `award_users`.`id_award` = `awards`.`id`  where `award_users`.`id_user` = '".$user['id']."'  order by `award_users`.`time` desc limit 5");
		while ($res = mysql_fetch_array($req)) {
			echo '<img src="../award/img/' .functions::checkout($res['img']). '.png" alt="Награда" height="30"/> ';
		}
	echo '<br /><a href="../award/index.php?id=' . $user['id'] . '"> >подробнее</a>';
	}
	if ($rights >= 7) echo '<br /><a href="../award/panel.php?id=' . $user['id'] . '">Наградить</a>';
	echo '</div>';
    // Карма
    if ($set_karma['on']) {
        $karma = $user['karma_plus'] - $user['karma_minus'];
        if ($karma > 0) {
            $images = ($user['karma_minus'] ? ceil($user['karma_plus'] / $user['karma_minus']) : $user['karma_plus']) > 10 ? '2' : '1';
            echo '<div class="gmenu">';
        } else if ($karma < 0) {
            $images = ($user['karma_plus'] ? ceil($user['karma_minus'] / $user['karma_plus']) : $user['karma_minus']) > 10 ? '-2' : '-1';
            echo '<div class="rmenu">';
        } else {
            $images = 0;
            echo '<div class="menu">';
        }
        echo '<table  width="100%"><tr><td width="22" valign="top"><img src="' . $set['homeurl'] . '/images/k_' . $images . '.gif"/></td><td>' .
            '<b>' . $lng['karma'] . ' (' . $karma . ')</b>' .
            '<div class="sub">' .
            '<span class="green"><a href="profile.php?act=karma&amp;user=' . $user['id'] . '&amp;type=1">' . $lng['vote_for'] . ' (' . $user['karma_plus'] . ')</a></span> | ' .
            '<span class="red"><a href="profile.php?act=karma&amp;user=' . $user['id'] . '">' . $lng['vote_against'] . ' (' . $user['karma_minus'] . ')</a></span>';
        if ($user['id'] != $user_id) {
            if (!$datauser['karma_off'] && (!$user['rights'] || ($user['rights'] && !$set_karma['adm'])) && $user['ip'] != $datauser['ip']) {
                $sum = mysql_result(mysql_query("SELECT SUM(`points`) FROM `karma_users` WHERE `user_id` = '$user_id' AND `time` >= '" . $datauser['karma_time'] . "'"), 0);
                $count = mysql_result(mysql_query("SELECT COUNT(*) FROM `karma_users` WHERE `user_id` = '$user_id' AND `karma_user` = '" . $user['id'] . "' AND `time` > '" . (time() - 86400) . "'"), 0);
                if (!$ban && $datauser['postforum'] >= $set_karma['forum'] && $datauser['total_on_site'] >= $set_karma['karma_time'] && ($set_karma['karma_points'] - $sum) > 0 && !$count) {
                    echo '<br /><a href="profile.php?act=karma&amp;mod=vote&amp;user=' . $user['id'] . '">' . $lng['vote'] . '</a>';
                }
            }
        } else {
            $total_karma = mysql_result(mysql_query("SELECT COUNT(*) FROM `karma_users` WHERE `karma_user` = '$user_id' AND `time` > " . (time() - 86400)), 0);
            if ($total_karma > 0)
                echo '<br /><a href="profile.php?act=karma&amp;mod=new">' . $lng['responses_new'] . '</a> (' . $total_karma . ')';
        }
        echo '</div></td></tr></table></div>';
    }

if ($user['rasa']) {
    $rank = array (
        1 => 'Орк',
        2 => 'Гном',
        3 => 'Эльф',
        4 => 'Человек',
        5 => 'Демонид'    );
    echo '<div class="list2">Раса Героя: <span class="red"><b>' . $rank[$user['rasa']] . '</b></span></div>';
}else{
    echo '<div class="list2">Раса Героя: не выбрана '.($user_id==$user['id'] ? '<a href="profile.php?act=edit">Выбрать!</a>' : '').'</div>';
}
if ($user['total_on_site']) {
    echo '<div class="list2">Ранг: <span class="red"><b>';
$rangtime=3600*24;
if($user['total_on_site']>=$rangtime && $user['total_on_site']<$rangtime*10){
echo 'Прохожий';
}elseif($user['total_on_site']>=$rangtime*10 && $user['total_on_site']<$rangtime*30){
echo 'Постоялец';
}elseif($user['total_on_site']>=$rangtime*30 && $user['total_on_site']<$rangtime*60){
echo 'Мего энерджайзер сайта';
}elseif($user['total_on_site']>=$rangtime*60){
echo 'Онлайн маньяк';
}else{
echo 'Нет еще ранга';
}

echo '</b></span></div>';
}
    echo '<div class="list2">Сообщений: <span class="red"><b>';
echo $user['postforum'];
echo '</b></span></div>';

    // Меню выбора
    $bancount = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_ban_users` WHERE `user_id` = '" . $user['id'] . "'"), 0);
    $total_photo = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_album_files` WHERE `user_id` = '" . $user['id'] . "'"), 0);
    $total_friends = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_contact` WHERE `user_id`='{$user['id']}' AND `type`='2' AND `friends`='1'"), 0);
	$lastvisit = time() > $user['lastdate'] + 300 ? date("d.m.Y (H:i)", $user['lastdate']) : false;
	$total_blog = mysql_result(mysql_query("SELECT COUNT(*) FROM `blogs` WHERE `id` = '" . $user['id'] . "' AND `type` = '0'"), 0);
    echo '<div class="list2"><p>
<h3><img src="../images/contacts.png" width="16" height="16"/>&#160;' . $lng['information'] . '</h3><ul>
<li><a href="album.php?act=list&amp;user=' . $user['id'] . '">' . $lng['photo_album'] . '</a>&#160;(' . $total_photo . ')</li>
<li><a href="' . $set['homeurl'] . '/blogs/?id=' . $user['id'] . '">Блог</a> (' . $total_blog . ')</li>
<li><a href="profile.php?act=guestbook&amp;user=' . $user['id'] . '">' . $lng['guestbook'] . '</a>&#160;(' . $user['comm_count'] . ')</li>
<li><a href="profile.php?act=friends&amp;user=' . $user['id'] . '">' . $lng_profile['friends'] . '</a>&#160;(' . $total_friends . ')</li>
<br />'.($user['imname'] ? '<li><span class="gray">Имя:</span> '.$user['imname'].'</li>' : '').'
'.($user['dayb'] ? '<li><span class="gray">Дата рождения:</span>
'.sprintf("%02d", $user['dayb']) . '.' . sprintf("%02d", $user['monthb']) . '.' . $user['yearofbirth'].'</li>' : '').'
'.($user['city'] ? '<li><span class="gray">Город:</span> '.$user['city'].'</li>' : '').'
'.($user['about'] ? '<li><span class="gray">О себе:</span> ' . functions::smileys(bbcode::tags($user['about'])) . '</li>' : '').'</ul>
<h3><img src="../images/mail.png" width="16" height="16" class="left" />&#160;Связь</h3><ul>
'.($user['mibile'] ? '<li><span class="gray">Телефон:</span> ' . $user['mibile'] . '</li>' : '').'
'.($user['icq'] ? '<li><span class="gray">ICQ:</span> ' . $user['icq'] . '</li>' : '').'
'.($user['skype'] ? '<li><span class="gray">Skype:</span> ' . $user['skype'] . '</li>' : '').'
'.($user['jabber'] ? '<li><span class="gray">Jabber:</span> ' . $user['jabber'] . '</li>' : '').'
'.($user['www'] ? '<li><span class="gray">Сайт:</span> ' . bbcode::tags($user['www']) . '</li>' : '').'';
if (!empty($user['mail']) && $user['mailvis'] || $rights >= 7 || $user['id'] == $user_id)
echo '<li><span class="gray">E-mail:</span>'.$user['mail'] . ($user['mailvis'] ? '' : '<span class="gray"> [Скрыт]</span>').'</li>';
echo '</ul><h3><img src="../images/rate.gif" width="16" height="16" class="left" />&#160;Статистика</h3><ul>
<li><span class="gray">' . ($user['sex'] == 'm' ? 'Зарегестрирован' : 'Зарегестрирована') . ':</span> ' . date("d.m.Y", $user['datereg']) . '</li>
<li><span class="gray">' . ($user['sex'] == 'm' ? 'Пробыл на сайте' : 'Пробыла на сайте') . ':</span> ' . functions::timecount($user['total_on_site']) . '</li>
<li><a href="profile.php?user='.$user['id'].'&amp;act=stat">Статистика активности</a></li>
<li><a href="profile.php?user='.$user['id'].'&amp;act=activity">Последние записи</a></li>
'.($bancount ? '<li><a href="profile.php?act=ban&amp;user=' . $user['id'] . '">Нарушения</a> (' . $bancount . ')</li>' : '').'</ul></p></div><div class="phdr">';

    if ($user['id'] == $user_id || $rights == 9 || ($rights == 7 && $rights > $user['rights']))
        echo '<img src="../Dnk/h1.png" />&#160;<a href="profile.php?act=edit&amp;user=' . $user['id'] . '">Редактировать</a>';
        echo '</div>';
	if ($user['id'] != $user_id) {
		// Контакты
		$contacts = mysql_query("SELECT * FROM `cms_contact` WHERE `user_id`='" . $user_id . "' AND `from_id`='" . $user['id'] . "';");
		$result = mysql_fetch_assoc($contacts);
		if($result['ban'] == 0) {
			$fr = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_contact` WHERE `type`='2' AND ((`from_id`='{$user['id']}' AND `user_id`='$user_id') OR (`from_id`='$user_id' AND `user_id`='{$user['id']}'))"), 0);  
			if($fr != 2) {
				$fr_in = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_contact` WHERE `type`='2' AND `from_id`='$user_id' AND `user_id`='{$user['id']}'"), 0); 
				$fr_out = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_contact` WHERE `type`='2' AND `user_id`='$user_id' AND `from_id`='{$user['id']}'"), 0); 
				if($fr_in == 1)
					$friend = '<a class="underline" href="profile.php?act=friends&amp;do=ok&amp;id=' . $user['id'] . '">' . $lng_profile['confirm_friendship'] . '</a> | <a class="underline" href="profile.php?act=friends&amp;do=no&amp;id=' . $user['id'] . '">' . $lng_profile['decline_friendship'] . '</a>';
				else if($fr_out == 1)
					$friend = '<a class="underline" href="profile.php?act=friends&amp;do=cancel&amp;id=' . $user['id'] . '">' . $lng_profile['canceled_demand_friend'] . '</a>';
				else 
					$friend = '<a href="profile.php?act=friends&amp;do=add&amp;id=' . $user['id'] . '">' . $lng_profile['in_friend'] . '</a>';
			} else {
				$friend = '<a href="profile.php?act=friends&amp;do=delete&amp;id=' . $user['id'] . '">' . $lng_profile['remov_friend'] . '</a>';
			}
			echo '<div><img src="../Dnk/h1.png" />&#160;' . $friend . '</div>';
		}
		if($result['ban'] == 0) {
			if (mysql_num_rows($contacts) == 0)
				echo '<div><img src="../Dnk/h1.png" />&#160;<a href="../mail/index.php?id=' . $user['id'] . '">' . $lng_profile['add_contacts'] . '</a></div>';
			else
				echo '<div><img src="../Dnk/h1.png" />&#160;<a href="../mail/index.php?act=deluser&amp;id=' . $user['id'] . '">' . $lng_profile['delete_contacts'] . '</a></div>';
		}
		if ($result['ban'] == 0 && $user['rights'] == 0 && $user['rights'] < $rights)
			echo '<div><img src="../Dnk/h1.png" />&#160;<a href="../mail/index.php?act=ignor&amp;id=' . $user['id'] . '&amp;add">' . $lng_profile['add_ignor'] . '</a></div>';
		else
			echo '<div><img src="../Dnk/h1.png" />&#160;<a href="../mail/index.php?act=ignor&amp;id=' . $user['id'] . '&amp;del">' . $lng_profile['delete_ignor'] . '</a></div>';
		if($result['ban'] == 0 && empty($ban['1']) && empty($ban['3']))
			echo '<div><img src="../Dnk/h1.png" />&#160;<a href="../mail/index.php?act=write&amp;id=' . $user['id'] . '">' . $lng['write'] . '</a></div>';
	}
	
    echo '<div class="phdr"><img src="../Dnk/h1.png" />&#160;<a href="index.php">' . $lng['users'] . '</a></div>';
}

require_once('../incfiles/end.php');
?>